<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['image'])) {
    $target_dir = "uploads/images/photo/";
    $target_file = $target_dir . basename($_FILES["image"]["name"]);
    
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
    // Verificar si el archivo es una imagen
    if (getimagesize($_FILES["image"]["tmp_name"]) !== false) {
        // Mover el archivo subido
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            echo 1;
        } else {
           echo -2;
        }
    } else {
        echo  -2;
    }
}


if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['video'])) {
    $target_dir = "uploads/videos/";
    $target_file = $target_dir . basename($_FILES["video"]["name"]);
    
    $videoFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
    // Verificar si el archivo es un video
    if (strpos($videoFileType, 'mp4') !== false) {
        // Mover el archivo subido
        if (move_uploaded_file($_FILES["video"]["tmp_name"], $target_file)) {
            echo 1;
        } else {
            echo -2;
        }
    } else {
        echo -2;
    }
}


?>